## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate num_enum

Name:           rust-num_enum
Version:        0.5.11
Release:        %autorelease
Summary:        Procedural macros to make inter-operation between primitives and enums easier

License:        BSD-3-Clause OR MIT OR Apache-2.0
URL:            https://crates.io/crates/num_enum
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Procedural macros to make inter-operation between primitives and enums
easier.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+complex-expressions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+complex-expressions-devel %{_description}

This package contains library source intended for building other packages which
use the "complex-expressions" feature of the "%{crate}" crate.

%files       -n %{name}+complex-expressions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+external_doc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+external_doc-devel %{_description}

This package contains library source intended for building other packages which
use the "external_doc" feature of the "%{crate}" crate.

%files       -n %{name}+external_doc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove tests that rely on files that are not shipped with crates
rm tests/renamed_num_enum.rs
# remove broken trybuild tests that rely on exact error messages
rm tests/try_build.rs
rm -r tests/try_build/*
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.11-1
- Update to version 0.5.11; Fixes RHBZ#2170823

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.9-1
- Update to version 0.5.9; Fixes RHBZ#2159579

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.7-1
- Update to version 0.5.7; Fixes RHBZ#2036367

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5; Fixes RHBZ#2033887

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.4-1
- Update to version 0.5.4; Fixes RHBZ#1994168

* Sun Aug 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.3-1
- Update to version 0.5.3; Fixes RHBZ#1989448

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2.

* Fri May 07 09:20:30 PDT 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.5.1-1
- Initial package

## END: Generated by rpmautospec
